apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: promtail
  namespace: flux-system
spec:
  interval: 10m
  timeout: 20m
  targetNamespace: observability
  chartRef:
    kind: OCIRepository
    name: promtail
    namespace: flux-system
  install:
    createNamespace: true
    remediation:
      retries: 3
  upgrade:
    remediation:
      retries: 3
  values:
    image:
      pullPolicy: IfNotPresent
    config:
      clients:
        - url: http://observability-loki.observability.svc.cluster.local:3100/loki/api/v1/push
